<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: franz.gamba    
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Verificar Estudio de Costos::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{estudioDeCostosAct.actualizacion}"/>

        <p:focus />

        <p:messages id="msgsVerificarEstudioDeCostos" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />

        <h:form id="verificarEstidioDeCostos">
            <p:panel header="Detalle de la actualización">
                <ui:include src="detallesInformacionActualizacion.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <p:panel header="Verificar">
                <ui:include src="botonesFormatosYEstudioCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                    <ui:param name="updateBtnParam"
                              value="verificarEstidioDeCostos,panelEstudioDeCostos,panelGridHojaEstudioCostos" />
                    <ui:param name="isRegistrarParam" value="false" />
                </ui:include>
            </p:panel>
            <p:panel id="panelFormatos"
                     rendered="#{estudioDeCostosAct.formatosFlag}">
                <ui:include src="formatosEstudioDeCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <p:panel id="panelEstudioDeCostos"
                     rendered="#{estudioDeCostosAct.estudioCostosFlag}">
                <ui:include src="hojaEstudioDeCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <p:panel id="panelBtnsAprobarRevisar">

                <p:commandButton id="btnAprobar" widgetVar="btnAprobarWV"
                                 update=":msgsVerificarEstudioDeCostos" value="Aprobar"
                                 action="#{estudioDeCostosAct.aprobarEstudioDeCostos}" 
                                 process="@this" ajax="false">
                </p:commandButton>
                <p:spacer height="0" width="10" />
                <p:commandButton id="btnRevisar"
                                 action="#{estudioDeCostosAct.enviarARevisarEstudioDeCostos}"
                                 widgetVar="btnRevisarWV" oncomplete="ordenarRevisionWV.show()"
                                 update=":msgsVerificarEstudioDeCostos" ajax="false"
                                 value="Revisar" process="@this">
                </p:commandButton>
            </p:panel>
        </h:form>
        <h:form>
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update=":cancelarTramitesMsgs"
                                 icon="ui-icon-circle-close" action="#{estudioDeCostosAct.cerrar}"
                                 ajax="false" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>
        <p:dialog height="480" width="960" resizable="false"
                  widgetVar="ordenarRevisionWV" header="Ordenar revisión" modal="true"
                  appendToBody="true" position="center">
            <h:form id="ordenarRevisionForm" prependId="false">
                <ui:include src="ordenarRevision.xhtml">
                    <ui:param name="managedBeanParam" value="#{estudioDeCostosAct}" />
                </ui:include>
            </h:form>
        </p:dialog>
    </ui:define>
</ui:composition>